#!/usr/bin/env bash
PING_ITER=16

# shellcheck disable=2317
command() {
    local -r host=${1?"first parameter must be an host"}
    local -r iteration=${2?"second parameter must be an iteration number"}
    local -r cmd=(ping -c "${iteration}" "${host}")

    "${cmd[@]}"
}

main() {
    command "aquilenet.fr" "$PING_ITER"
}

main
exit 0
